Update Product
curl --request PATCH \
--url https://api.example.com/products/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"price": 123,
"compare_at_price": 123,
"currency": "<string>",
"sku": "<string>",
"status": "<string>",
"image_url": "<string>",
"product_url": "<string>"
}
'import requests
url = "https://api.example.com/products/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"price": 123,
"compare_at_price": 123,
"currency": "<string>",
"sku": "<string>",
"status": "<string>",
"image_url": "<string>",
"product_url": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
price: 123,
compare_at_price: 123,
currency: '<string>',
sku: '<string>',
status: '<string>',
image_url: '<string>',
product_url: '<string>'
})
};
fetch('https://api.example.com/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Products
Update Product
Update an existing product.
PATCH
/
products
/
{id}
Update Product
Path Parameters
string
required
Product ID.
Body Parameters
All fields are optional. Only provided fields will be updated.string
Product name.
string
Product description.
number
Product price.
number
Compare at price.
string
Currency code.
string
Stock keeping unit.
string
Status:
active, draft, or archived.string
Primary image URL.
string
External product URL.
Response
200
{
"id": "prod-uuid",
"name": "Classic T-Shirt",
"price": 24.99,
"status": "active",
"updated_at": "2026-04-08T19:00:00Z"
}
⌘I